All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PLDAPAttributeBase Class Referenceabstract

`#include <pldap.h>`

Inheritance diagram for PLDAPAttributeBase:

## Public Member Functions

| PLDAPAttributeBase (const char *name, void *pointer, PINDEX size)
const char * | GetName () const
PBoolean | IsBinary () const
virtual void | Copy (const PLDAPAttributeBase &other)=0
virtual PString | ToString () const
virtual void | FromString (const PString &str)
virtual PBYTEArray | ToBinary () const
virtual void | FromBinary (const PArray< PBYTEArray > &data)
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes

const char * | name
void * | pointer
PINDEX | size

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
static const char * | Class ()
| Get the name of the class as a C string. More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Constructor & Destructor Documentation

PLDAPAttributeBase::PLDAPAttributeBase | ( | const char * | name,
|  | void * | pointer,
|  | PINDEX | size
| ) |  |

## Member Function Documentation

virtual void PLDAPAttributeBase::Copy | ( | const PLDAPAttributeBase & | other | ) |

pure virtual

virtual void PLDAPAttributeBase::FromBinary | ( | const PArray< PBYTEArray > & | data | ) |

virtual

virtual void PLDAPAttributeBase::FromString | ( | const PString & | str | ) |

virtual

const char* PLDAPAttributeBase::GetName | ( |  | ) | const

inline

References name.

PBoolean PLDAPAttributeBase::IsBinary | ( |  | ) | const

inline

virtual PBYTEArray PLDAPAttributeBase::ToBinary | ( |  | ) | const

virtual

virtual PString PLDAPAttributeBase::ToString | ( |  | ) | const

virtual

## Member Data Documentation

const char* PLDAPAttributeBase::name

protected

Referenced by GetName().

void* PLDAPAttributeBase::pointer

protected

PINDEX PLDAPAttributeBase::size

protected

The documentation for this class was generated from the following file:

- pldap.h